PROC REPORT DATA = sashelp.prdsale NOWD ;
	COLUMNS product month,(actual evol) ;
	DEFINE product / GROUP ;
	DEFINE month / ACROSS "Trimestre" FORMAT=YYQRD8. ORDER=INTERNAL ;
	DEFINE evol / COMPUTED "Evolution" FORMAT = PERCENTN12.1 ;
	DEFINE actual / ANALYSIS SUM "Ventes" FORMAT = NLNUM12. ;
	COMPUTE evol ;
		ARRAY colonnes
		  _C2_  _C3_  _C4_  _C5_  _C6_  _C7_  _C8_  _C9_  
		  _C10_ _C11_ _C12_ _C13_ _C14_ _C15_ _C16_ _C17_ ;
		DO i = 1 TO DIM(colonnes) ;
			IF MOD(i,2)=0 /* colonnes paires = volutions */ THEN DO ;
 				IF i > 2 THEN colonnes(i) = (colonnes(i-1)-colonnes(i-3))/colonnes(i-3) ;
			END ;
		END ;
	ENDCOMP ;
	RBREAK AFTER / SUMMARIZE ;
RUN ;
